## LibgdaUI Initialization LibgdaUI Initialization |

## Synopsis

    void                gdaui_init                          (void);

## Description

## Details

### gdaui_init ()

    void                gdaui_init                          (void);

Initialization of the libgda-ui library, must be called before any usage of the library.

- Note 1: `gtk_init()` is not called by this function and should also be called (see Note 2 about the importance of the calling order)

- Note 2: unless you call `setlocale()` first in your program, calling `gtk_init()` before `gdaui_init()` will ensure that all information loaded from config files will be loaded in the correct locale (as `gtk_init()` calls `setlocale()`).

- Note 3: this funtion also calls `gda_init()` so it should not be called again

Since 4.2